%define name iozone
%define version 3.83
%define release 1mdk

Summary: Filesystem characterization & benchmark tool.
Name: %{name}
Version: %{version}
Release: %{release}
License: Public Domain
Group: Monitoring
Source: %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-buildroot
URL: http://www.iozone.org/

%description
This program allows one to characterize the filesystem performance
of vendors platform. It supports single stream, throughput, 
pthreads, async I/O and much more.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
cd src/current
make linux 

%install
cd $RPM_BUILD_DIR/%name-%version/src/current/
install -m 755 -d $RPM_BUILD_ROOT%{_bindir}
install -m 755 iozone $RPM_BUILD_ROOT%{_bindir}

cd $RPM_BUILD_DIR/%name-%version/docs
install -m 755 -d $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 iozone.1 $RPM_BUILD_ROOT%{_mandir}/man1



%files
%defattr (0644,root,root,755) 
%doc docs/{*.pdf,*.doc,Iozone_ps.gz,Run_rules.doc}
%defattr (-,root,root)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.83-1mdk
- 3.83

* Thu Jan 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.74-1mdk
- 3.74

* Fri Nov 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.71-1mdk
- 3.71

* Thu Sep 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.67-1mdk
- 3.67

* Wed Aug 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.56-1mdk
- updated to 3.56

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.48-1mdk
- updated 3.48
- fix location of files

* Thu Sep 07 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.15-3mdk
- macros

* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.15-2mdk
- fix group

* Wed Mar 01 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build


